---
title: "PageBlock"
generated: true
---
<GenerationInfo sourceFile="packages/admin-ui/src/lib/react/src/react-components/PageBlock.tsx" sourceLine="22" packageName="@vendure/admin-ui" />

A container for page content which provides a consistent width and spacing.

*Example*

```ts
import { PageBlock } from '@vendure/admin-ui/react';

export function MyComponent() {
  return (
    <PageBlock>
      ...
    </PageBlock>
  );
}
```

```ts title="Signature"
function PageBlock(props: PropsWithChildren): void
```
Parameters

### props

<MemberInfo kind="parameter" type={`PropsWithChildren`} />

